Status: Closed

Priority: Normal

Assignee: Tom Kralidis

Category: MetaSearch Catalogue Client

Affected QGIS version:2.16.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23304

Description

I just upgraded to qgis 2.16.1 on Ubuntu 16.04 and received the following error: Python error: Couldn't load plugin MetaSearch due to an

error when calling its classFactory() method See message log (Python Error) for more details.

The error log has: 

2016-08-02T20:59:24    1    Traceback (most recent call last):

              File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 333, in startPlugin

                plugins[packageName] = package.classFactory(iface)

              File "/usr/share/qgis/python/plugins/MetaSearch/__init__.py", line 29, in classFactory

                from MetaSearch.plugin import MetaSearchPlugin

              File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/share/qgis/python/plugins/MetaSearch/plugin.py", line 33, in <module>

                from MetaSearch.dialogs.maindialog import MetaSearchDialog

              File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/share/qgis/python/plugins/MetaSearch/dialogs/maindialog.py", line 43, in <module>

                from owslib.csw import CatalogueServiceWeb

              File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/share/qgis/python/owslib/csw.py", line 27, in <module>

                from owslib.util import OrderedDict

              File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/share/qgis/python/owslib/util.py", line 35, in <module>

                import requests

              File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

            ImportError: No module named requests

I'm using the following repos: 

deb http://qgis.org/ubuntugis xenial main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

History

#1 - 2016-08-03 06:00 AM - Andre Joost

Same here on Linux Mint 18.
http://qgis.org/ubuntugis
http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu


sudo pip install requests in a command window solved the problem for me.

So I guess it is a packaging problem.

#2 - 2016-08-03 10:23 AM - Tom Kralidis

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Reported / fixed in #15368.  Fixed packaging setup in master and will be backported accordingly.
